Page MenuHomePhabricator

[epic] Migrate fundraising extensions to the new format
Closed, ResolvedPublic

Description

Use convertExtensionToRegistration.php for the initial pass.

This will eventually get us nice things as the Config infrastructure is refined. Also, it will be good for code hygiene and will help other devs understand our repos.

Try to fix T94477 in the process of doing this.

Unsuccessful automatic migration:
CentralNotice: https://gerrit.wikimedia.org/r/#/c/186899/

Event Timeline

awight created this task.Apr 12 2015, 2:03 AM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: awight, Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2015, 2:03 AM
awight renamed this task from Migrate fundraising extensions using convertExtensionToRegistration.php to [epic] Migrate fundraising extensions to the new format.Aug 11 2015, 7:05 PM
awight updated the task description. (Show Details)
awight set Security to None.
DStrine triaged this task as Normal priority.Aug 11 2015, 9:15 PM
DStrine moved this task from Triage to FY 2019-20 on the Fundraising-Backlog board.
awight closed this task as Resolved.Aug 24 2016, 8:46 PM
awight claimed this task.
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM